Skip to main content
GET
/
external-event-pulls
List external event pulls
curl --request GET \
  --url https://api.getmembrane.com/external-event-pulls \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "userId": "<string>",
      "id": "<string>",
      "integrationId": "<string>",
      "connectionId": "<string>",
      "externalEventSubscriptionId": "<string>",
      "startDatetime": "<string>",
      "endDatetime": "<string>",
      "status": "running",
      "collectedEventIds": [
        "<string>"
      ],
      "tenantId": "<string>",
      "externalAppId": "<string>",
      "name": "<string>",
      "isFullScan": true,
      "error": {
        "message": "<string>",
        "type": "bad_request",
        "key": "<string>",
        "data": {},
        "stack": {},
        "causedByError": "<unknown>",
        "logs": [
          {}
        ]
      },
      "user": {
        "id": "<string>",
        "name": "<string>",
        "internalId": "<string>",
        "meta": {},
        "fields": {},
        "credentials": {},
        "lastActiveAt": "<string>",
        "isTest": true,
        "isBillable": true,
        "isActive": true,
        "aiCreditsRolling30DayLimit": 1,
        "createdAt": "<string>",
        "archivedAt": "<string>"
      },
      "externalEventSubscription": {
        "userId": "<string>",
        "id": "<string>",
        "connectionId": "<string>",
        "integrationId": "<string>",
        "tenantId": "<string>",
        "name": "<string>",
        "config": {
          "type": "data-record-created",
          "dataSource": {
            "key": {},
            "collectionKey": {},
            "collectionParameters": {},
            "udm": {},
            "pullUpdatesIntervalSeconds": 123,
            "fullSyncIntervalSeconds": 123,
            "path": {},
            "defaultPath": {}
          },
          "eventKey": "<string>",
          "eventParameters": {}
        },
        "status": "subscribed",
        "error": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "isRealTime": true,
        "requiresPull": true,
        "requiresFullSync": true,
        "createdAt": "<string>",
        "archivedAt": "<string>",
        "isDeactivated": true,
        "stateData": {},
        "nextPullEventsTimestamp": 123,
        "pullUpdatesIntervalSeconds": 123,
        "fullSyncIntervalSeconds": 123,
        "nextRefreshTimestamp": 123,
        "globalWebhookKey": "<string>",
        "globalWebhookEventSelector": "<string>",
        "webhookUri": "<string>"
      },
      "integration": {
        "id": "<string>",
        "name": "<string>",
        "logoUri": "<string>",
        "uuid": "<string>",
        "key": "<string>",
        "description": "<string>",
        "meta": {},
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "revision": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "archivedAt": "<string>",
        "isDeactivated": true,
        "isReadOnly": true,
        "connectorId": "<string>",
        "connectorVersion": "<string>",
        "oAuthCallbackUri": "<string>",
        "parameters": {},
        "hasMissingParameters": true,
        "hasDocumentation": true,
        "hasOperations": true,
        "operationsCount": 123,
        "hasData": true,
        "dataCollectionsCount": 123,
        "hasEvents": true,
        "eventsCount": 123,
        "hasGlobalWebhooks": true,
        "hasUdm": true,
        "isTest": true,
        "externalAppId": "<string>",
        "authType": "integration-app-token",
        "optionsConfig": {}
      },
      "connection": {
        "id": "<string>",
        "name": "<string>",
        "userId": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "tenantId": "<string>",
        "key": "<string>",
        "isTest": true,
        "connected": true,
        "disconnected": true,
        "isDefunct": true,
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "requestError": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "error": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "integrationId": "<string>",
        "connectorId": "<string>",
        "externalAppId": "<string>",
        "connectorVersion": "<string>",
        "authOptionKey": "<string>",
        "lastActiveAt": "<string>",
        "nextCredentialsRefreshAt": "<string>",
        "nextRetryTimestamp": "<string>",
        "retryAttempts": 123,
        "canTest": true,
        "canRefreshCredentials": true,
        "archivedAt": "<string>",
        "isDeactivated": true,
        "meta": {},
        "buildingAgentSessionId": "<string>",
        "clientAction": {
          "type": "connect",
          "description": "<string>",
          "uiUrl": "<string>",
          "agentInstructions": "<string>"
        }
      }
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

externalEventSubscriptionId
string
integrationId
string
connectionId
string
tenantId
string
userId
string
status
enum<string>
Available options:
running,
success,
error,
queued
externalAppId
string
from
string
to
string

Response

200 - application/json
items
object[]
required
cursor
string